Bug 1299185 - qemu-img created VMDK images lead to "Not a supported disk format (sparse VMDK version too old)"
qemu-img created VMDK images lead to "Not a supported disk format (sparse VMD...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
24
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
https://github.com/qemu/qemu/commit/3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 23:08 EST by Robert Scheck
Modified: 2016-03-17 12:19 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1299116
Environment:
Last Closed: 2016-03-17 12:19:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2016-01-16 23:08:02 EST
+++ This bug was initially created as a clone of Bug #1299116 +++

Description of problem:
qemu-img only creates broken VMDK image files that can't be used for within
an OVA file for importing a virtual machine into VMware vSphere/ESXi. Every
VMDK file created by qemu-img leads during import to the error message:

  Not a supported disk format (sparse VMDK version too old)

Version-Release number of selected component (if applicable):
qemu-img-1.5.3-105.el7_2.1.x86_64
qemu-img-2.5.0-3.fc24.x86_64 (rebuilt from Fedora Rawhide for RHEL 7)
VMware vSphere Client, Version 5.1.0, Build 1064113
VMware ESXi, Version 5.1.0, Build 1065491, German-000

How reproducible:
Everytime, see above and below.

Steps to Reproduce:
1. cd /tmp/
2. dd if=/dev/zero of=qemu-img-bug.img bs=1M count=1
3. qemu-img convert qemu-img-bug.img -O vmdk \
     -o adapter_type=lsilogic,subformat=streamOptimized,compat6 \
     qemu-img-bug.vmdk
4. tar cf qemu-img-bug.ova qemu-img-bug.ovf qemu-img-bug.vmdk
5. Try to import qemu-img-bug.ova into VMware -> fails with error above
6. printf '\x03' | dd conv=notrunc of=qemu-img-bug.vmdk bs=1 seek=$((0x4))
7. tar cf qemu-img-bug.ova qemu-img-bug.ovf qemu-img-bug.vmdk
8. Try to import qemu-img-bug.ova into VMware -> works as expected now

Actual results:
qemu-img created VMDK images lead to "Not a supported disk format (sparse
VMDK version too old)".

Expected results:
qemu-img created VMDK images should not lead to any error message during
import into VMware.

Additional info:
Credit for printf/dd combination at point 6 goes to Radoslav Gerganov.
Comment 1 Cole Robinson 2016-01-20 10:20:44 EST
Fix was posted upstream, but isn't in git yet:

https://lists.gnu.org/archive/html/qemu-devel/2015-09/msg04496.html
Comment 2 Jan Kurik 2016-02-24 10:38:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Cole Robinson 2016-03-17 12:19:46 EDT
This was fixed with the last qemu builds in feb, just forgot to close this

Note You need to log in before you can comment on or make changes to this bug.